Bug 63133 - Building CPU 1.3.13 fails in depend2.am and lang-compile.am
Building CPU 1.3.13 fails in depend2.am and lang-compile.am
Product: Red Hat Public Beta
Classification: Retired
Component: automake15 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Depends On:
  Show dependency treegraph
Reported: 2002-04-10 09:50 EDT by John Dalbec
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-10 09:50:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Dalbec 2002-04-10 09:50:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
Building CPU 1.3.13 with AUTOCONF=autoconf-2.53 and AUTOMAKE=automake-1.5 fails
when invoking "automake-1.5 --gnu src/Makefile".  The error messages are:
/usr/share/automake-1.5/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake-1.5/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake-1.5/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake-1.5/am/lang-compile.am: AMDEP does not appear in

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Download and unpack cpu 1.3.13.
2.  export AUTOCONF=autoconf-2.53 AUTOMAKE=automake-1.5
3.  ./configure
4.  make

Actual Results:  Build fails w/above messages.

Expected Results:  Build should complete normally

Additional info:

Invoking "automake --gnu src/Makefile" works.
Comment 1 Jens Petersen 2002-04-11 03:07:32 EDT
I think you forgot ACLOCAL=aclocal-1.5 ;-)

Another way to build without setting environment vars is
by either (1) copying/symlinking /usr/share/automake-1.5/missing to
missing before running make, or (2) just having
MISSING=/usr/share/automake-1.5/missing when running

automake-1.5 --gnu works fine for me on a fresh tree.
Comment 2 John Dalbec 2002-04-11 08:57:20 EDT
Thanks, ACLOCAL was it.  I tried setting MISSING as you suggested in (2) but it didn't work.  I'm not running the full beta; I just installed 
autoconf253/automake15 from the beta onto a (mostly) RH 7.1 system.  Do I need to install/upgrade something else?
Comment 3 Jens Petersen 2002-04-12 01:53:01 EDT
You need automake15-1.5-2, which is in rawhide now, for that to work.

Note You need to log in before you can comment on or make changes to this bug.